lecture:
  title:          Business Programming 1
  abbreviation:   BP1
  teaching-load:  4 ECTS
  weekly-hours:   4
  weeks:          7
  author:         Rony G. Flatscher
  date:           2026-08-16
  version:        1.00.00
  copyright:      cc-by-sa
  copyright-year: 2015-2026

unit-01:
        presentation-01: bp1/000_AboutLearning_V02.odp
        title-01:        About Learning

        presentation-02: bp1/010_ooRexx_V18.odp
        title-02:        Overview, Statements, Comparisons, Branches, Repetition

unit-02:
        presentation-03: bp1/020_ooRexx_V08.odp
        title-03:        Statement, Routine (Procedure, Function), "Stem"-Variable

        presentation-04: bp1/030_ooRexx_V15.odp
        title-04:        Exceptions, References, Directives (::routine, ::requires)

unit-03:
        presentation-05: bp1/040_ooRexx_V07.odp
        title-05:        Abstract Datatype, Classes, Methods, Attributes, Messages, Scopes, Generalizing Class Hierarchy, Inheritance

        presentation-06: bp1/050_ooRexx_V08.odp
        title-06:        Defining Classes ("CLASS" Directive), Defining Methods ("METHOD" Directive), Object Rexx Classes

unit-04:

        presentation-07: bp1/051_ooRexx_V12.odp
        title-07:        Object Rexx Collection Classes

        presentation-08: common/060_ooRexx_commands_V19.odp
        title-08:        Commands, standard files, redirections, pipes

        presentation-09: common/340_JSON_V08.odp
        title-09:        JSON (JavaScript Object Notation)

        presentation-10: bp1/350_LLM_curl_V02.odp
        title-tation-10  AI (Artificial Intelligence): LLM (Large Language Models)

unit-05:
        presentation-11: bp1/110_AutoWin_V21.odp
        title-11:        OLE-Automation/ActiveX-Automation, ooRexx Proxy Class "OLEObject"

        presentation-12: bp1/120_AutoWin_markup_V09.odp
        title-12:        Markup Languages, Document Object Model (Internet Explorer, curl)

        presentation-13: bp1/130_AutoWin_oleinfo_V05.odp
        title-13:        ooRexx Tool "oleinfo": Create HTML OLE Documentation on the Fly

unit-06:
        presentation-14: common/320_Codepages_V05.odp
        title-14:        Codepages: Definitions, Some Implications

        presentation-15: bp1/140_AutoWin_vba_V03.odp
        title-15:        Object Rexx ("ooRexx") vs. MS Visual Basic Script ("VBScript")

        presentation-16: common/330_Paths_V03.odp
        title-16:        About Storing Files: Where and How? Source directory, current directory, home directory, temporary directory …

        presentation-17: common/070_ooRexx_trace_debug_V14.odp
        title-17:        Trace (Debug)

        presentation-18: common/080_ooRexx_environment_symbols_V15.odp
        title-18:        ooRexx Runtime Environment and Resolving Environment Symbols

unit-07:
        presentation-19: bp1/360_MultiThreading_V01.odp
        title-19:        Multithreading in ooRexx
